﻿<Window x:Class="Aerovuelos.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        WindowStartupLocation="CenterScreen"
        Title="MainWindow" Height="768" Width="1366" ShowInTaskbar="False" x:Name="principal" Loaded="Window_Loaded" SizeChanged="actualizar_tamaño">
    <Window.Resources>
        <Style x:Key="placeHolder" TargetType="{x:Type TextBox}" BasedOn="{StaticResource {x:Type TextBox}}">
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type TextBox}">
                        <Grid>
                            <TextBox Text="{Binding Path=Text,
                                                RelativeSource={RelativeSource TemplatedParent}, 
                                                Mode=TwoWay,
                                                UpdateSourceTrigger=PropertyChanged}"
                                 x:Name="textSource" 
                                 Background="Transparent" 
                                 Panel.ZIndex="2" >
                                <TextBox.Style>
                                    <Style TargetType="{x:Type TextBox}">
                                        <Setter Property="Padding" Value="2,13,0,0"/>
                                    </Style>
                                </TextBox.Style>
                            </TextBox>
                            <TextBox Text="{TemplateBinding Tag}" Background="{TemplateBinding Background}" Panel.ZIndex="1">
                                <TextBox.Style>
                                    <Style TargetType="{x:Type TextBox}">
                                        <Setter Property="Foreground" Value="Transparent"/>
                                        <Style.Triggers>
                                            <DataTrigger Binding="{Binding Path=Text, Source={x:Reference textSource}}" Value="">
                                                <Setter Property="Foreground" Value="Gray"/>
                                                <Setter Property="HorizontalContentAlignment" Value="Left"/>
                                                <Setter Property="VerticalContentAlignment" Value="Center"/>
                                                
                                            </DataTrigger>
                                        </Style.Triggers>
                                    </Style>
                                </TextBox.Style>
                            </TextBox>
                        </Grid>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style>
        <!-- Prototipo -->
       
        <!-- Prototipo -->
    </Window.Resources>
    <Window.Background>
        <ImageBrush TileMode="Tile" ImageSource="login.jpg" Stretch="UniformToFill"/>
    </Window.Background>
    <Grid >
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="2*"/>
            <ColumnDefinition Width="8*" x:Name="columna_central"/>
            <ColumnDefinition Width="2*"/>
        </Grid.ColumnDefinitions>
        <Canvas x:Name="contenedor_central"></Canvas>
        <Border x:Name="abc" BorderBrush="Black" BorderThickness="1" Grid.Column="1" HorizontalAlignment="Left" Height="100" Margin="0,0,0,0" VerticalAlignment="Top" Width="100" Background="#22FBFBFB">
            <!-- <Canvas x:Name="grupo_login" Grid.Column="1" Margin="267,166,180,144"> -->
                <Canvas x:Name="grupo_login" Grid.Column="1" Margin="0,0,180,144">
            <Rectangle x:Name="ingreso" Fill="#E8F4F4F5" HorizontalAlignment="Left" Height="450" Stroke="Black" VerticalAlignment="Top" Width="458" RadiusX="10" RadiusY="11"/>
            <Image HorizontalAlignment="Center" VerticalAlignment="Top" Source="aerovuelos-2.png" Height="83" Width="263" RenderTransformOrigin="0.562,0.685" Canvas.Left="85" Canvas.Top="5"/>
            <TextBlock x:Name="subtitulo" HorizontalAlignment="Left" TextWrapping="Wrap" VerticalAlignment="Top" Height="35" Width="388" FontSize="22" FontFamily="Arial Rounded MT Bold" TextAlignment="Center" Canvas.Left="37" Canvas.Top="86"><Run Language="es-es" Text="Bienvenido a Aerovuelos"/></TextBlock>
            <TextBox HorizontalAlignment="Left" Height="55" TextWrapping="Wrap"  VerticalAlignment="Top" Width="370" Background="#CCFFFFFF" Style="{StaticResource placeHolder}" Tag="correo@example.com" FontSize="22" FontFamily="Arial Unicode MS" ToolTip="Ingrese su Correo Electrónico" Padding="15,9,1,1" UseLayoutRounding="False" VerticalScrollBarVisibility="Disabled" Canvas.Left="48" Canvas.Top="155"/>
            <PasswordBox x:Name="password" HorizontalAlignment="Left" Height="55" VerticalAlignment="Top" Width="370" Background="#CCFFFFFF"  FontSize="22" FontFamily="Arial Unicode MS" Padding="2,8,1,1" Canvas.Left="48" Canvas.Top="249" />
            <CheckBox Content="Recordar" HorizontalAlignment="Left" VerticalAlignment="Top" Height="33" Width="136" FontSize="18" FontFamily="Arial Rounded MT Bold" Checked="CheckBox_Checked_1" Canvas.Left="48" Canvas.Top="313">
                <CheckBox.LayoutTransform>
                    <ScaleTransform ScaleX="1.2" ScaleY="1.2" />
                </CheckBox.LayoutTransform>
            </CheckBox>
            <Button x:Name="boton_ingresar" Content="Ingresar" HorizontalAlignment="Left" VerticalAlignment="Top" Width="370" Height="40" Click="Button_Click_1" Background="#FF2E61F2" Foreground="White" FontSize="16" FontFamily="Arial Rounded MT Bold" Canvas.Left="48" Canvas.Top="359"/>
            <TextBlock HorizontalAlignment="Left" TextWrapping="Wrap" VerticalAlignment="Top" Canvas.Left="51" Canvas.Top="230"><Run Language="es-es" Text="Ingrese su Contraseña"/></TextBlock>
            <TextBlock HorizontalAlignment="Left" TextWrapping="Wrap" VerticalAlignment="Top" Canvas.Left="51" Canvas.Top="136"><Run Language="es-es" Text="Ingrese su Correo Electrónico"/></TextBlock>
        </Canvas>
        </Border>
        <ProgressBar Grid.Column="1" HorizontalAlignment="Left" Height="46" Margin="304,636,0,0" VerticalAlignment="Top" Width="366" ValueChanged="ProgressBar_ValueChanged_1" Value="66"/>


    </Grid>
</Window>
